Unsubscribe Thread
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/thread/subscription \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/thread/subscription"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/thread/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true
}
}Messages
Unsubscribe Thread
Unsubscribe a CometChat user from a message thread with REST API to stop receiving threaded reply updates.
DELETE
/
messages
/
{id}
/
thread
/
subscription
Unsubscribe Thread
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message whose thread is to be unsubscribed from.
Response
200 - application/json
Unsubscribe Thread
Was this page helpful?
⌘I